edu.whs.spin2018.baoapp.views.spiel

## Class MuldenView

- java.lang.Object
- - edu.whs.spin2018.baoapp.views.spiel.MuldenView

-     public class MuldenView
      extends java.lang.Object

  Modelliert die klickbare Mulde auf dem Bildschirm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MuldenView(PositionAufBildschirm position, float radius)` Erzeugt ein Objekt der Klasse MuldenView mit deren Koordianten auf dem Bildschirm und dem Radius der MuldenView

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneSteine()` Entfernt alle Steine aus der Mulde
    `void` | `fuegeSteineHinzu(java.util.List<SteinView> steine)` Fuegt der Mulde mehrere Steine hinzu.
    `void` | `fuegeSteinHinzu(SteinView stein)` Fuegt der Mulde einen Stein hinzu.
    `int` | `gibAnzahlSteine()` Liefert die Anzahl an Steinen, die sich in der MuldenView befinden
    `java.util.ArrayList<SteinView>` | `gibSteine()` Liefert alle Steine, die sich in der Mulde befinden.
    `PositionAufBildschirm` | `gibZufaelligePositionInMulde(float offset)` Liefert eine zufaellige Position innerhalb eines Kreises mit dem uebergebenem radius

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MuldenView

          public MuldenView(PositionAufBildschirm position,
                            float radius)

      Erzeugt ein Objekt der Klasse MuldenView mit deren Koordianten auf dem Bildschirm und dem Radius der MuldenView
      Parameters:
        `position` - - Koordinaten auf dem Bildschirm
        `radius` - - Radius der Mulde

  - ### Method Detail

    - #### gibZufaelligePositionInMulde

          public PositionAufBildschirm gibZufaelligePositionInMulde(float offset)

      Liefert eine zufaellige Position innerhalb eines Kreises mit dem uebergebenem radius
      Returns:
        zufaellige Position innerhalb eines Kreises

    - #### gibSteine

          public java.util.ArrayList<SteinView> gibSteine()

      Liefert alle Steine, die sich in der Mulde befinden.
      Returns:
        Liefert eine Liste von SteinViews zurück.

    - #### gibAnzahlSteine

          public int gibAnzahlSteine()

      Liefert die Anzahl an Steinen, die sich in der MuldenView befinden
      Returns:
        Anzahl der Steine in der MuldenView

    - #### entferneSteine

          public void entferneSteine()

      Entfernt alle Steine aus der Mulde

    - #### fuegeSteinHinzu

          public void fuegeSteinHinzu(SteinView stein)

      Fuegt der Mulde einen Stein hinzu.
      Parameters:
        `stein` - - Stein der der Mulde hinzugefuegt werden soll

    - #### fuegeSteineHinzu

          public void fuegeSteineHinzu(java.util.List<SteinView> steine)

      Fuegt der Mulde mehrere Steine hinzu.
      Parameters:
        `steine` - - Steine, die der Mulde hinzugefuegt werden sollen